## acpid 1.0.6

=== Makefile ===
# Makefile for ACPI daemon

# update these numbers for new releases
VERSION = 1.0.6

INSTPREFIX =
BINDIR = $(INSTPREFIX)/usr/bin
SBINDIR = $(INSTPREFIX)/usr/sbin
MAN8DIR = $(INSTPREFIX)/usr/share/man/man8

SBIN_PROGS = acpid
BIN_PROGS = acpi_listen
PROGS = $(SBIN_PROGS) $(BIN_PROGS)

acpid_SRCS = acpid.c event.c ud_socket.c
acpid_OBJS = $(acpid_SRCS:.c=.o)

acpi_listen_SRCS = acpi_listen.c ud_socket.c
acpi_listen_OBJS = $(acpi_listen_SRCS:.c=.o)

MAN8 = acpid.8 acpi_listen.8
MAN8GZ = $(MAN8:.8=.8.gz)

CFLAGS = -Wall -Werror -g $(DEFS)
DEFS = -DVERSION="\"$(VERSION)\""

all: $(PROGS)

acpid: $(acpid_OBJS)

acpi_listen: $(acpi_listen_OBJS)

man: $(MAN8)
	for a in $^; do gzip -f -9 -c $$a > $$a.gz; done

install: $(PROGS) man
	mkdir -p $(SBINDIR)
	mkdir -p $(BINDIR)
	install -m 750 acpid $(SBINDIR)
	install -m 755 acpi_listen $(BINDIR)
	mkdir -p $(MAN8DIR)
	install -m 644 $(MAN8GZ) $(MAN8DIR)

DISTTMP=/tmp
dist:
	rm -rf $(DISTTMP)/acpid-$(VERSION)
	mkdir -p $(DISTTMP)/acpid-$(VERSION)
	cp -a * $(DISTTMP)/acpid-$(VERSION)
	find $(DISTTMP)/acpid-$(VERSION) -type d -name CVS | xargs rm -rf
	make -C $(DISTTMP)/acpid-$(VERSION) clean
	tar -C $(DISTTMP) -zcvf acpid-$(VERSION).tar.gz acpid-$(VERSION)
	rm -rf $(DISTTMP)/acpid-$(VERSION)

clean:
	$(RM) $(PROGS) $(MAN8GZ) *.o

## acpid 1.0.4-1

=== debian/changelog ===
acpid (1.0.4-1) unstable; urgency=low

  * New upstream release
  * I'm dropping support for older, acpi broken kernels now. Time to
    clean up.

 -- Cajus Pollmeier <cajus@debian.org>  Mon,  1 Nov 2004 11:49:33 +0100

acpid (1.0.3-21) unstable; urgency=low

  *  Fixed dcop problem for shutdown (Closes:#274339)

 -- Cajus Pollmeier <cajus@debian.org>  Fri,  1 Oct 2004 11:10:24 +0200

acpid (1.0.3-20) unstable; urgency=high

  * Added detection for non files in run-parts code (Closes:#268203)

 -- Cajus Pollmeier <cajus@debian.org>  Mon, 30 Aug 2004 19:51:41 +0200

acpid (1.0.3-19) unstable; urgency=low

  * Update dutch translations (Closes:#250719) 
  * Added turkish translations (Closes:#252933) 

 -- Cajus Pollmeier <cajus@debian.org>  Fri, 28 May 2004 19:41:16 +0200

acpid (1.0.3-18) unstable; urgency=low

  * Fixed manpage to contain hint to runparts stylish naming convention
    in /etc/acpid/events (Closes:#250066)

 -- Cajus Pollmeier <cajus@debian.org>  Sat, 22 May 2004 10:33:13 +0200

acpid (1.0.3-17) unstable; urgency=low

  * Added amd64 to list of supported architectures (Closes:#249055) 

 -- Cajus Pollmeier <cajus@debian.org>  Fri, 14 May 2004 21:22:53 +0200

acpid (1.0.3-16) unstable; urgency=low

  * Added czech po-debconf translation (Closes:#247377)
  * Modified init scripts start-stop daemon call to retry stopping
    acpid after two seconds (Closes:#247130)
  * Modified init script to check for ACPI presence in kernel
    _before_ doing any actions (Closes:#247490)

 -- Cajus Pollmeier <cajus@debian.org>  Fri,  7 May 2004 22:27:40 +0200

acpid (1.0.3-15) unstable; urgency=low

  * Fixed powerbutton script which did a shutdown when a
    KDE user was logged in. Now it skips the shutdown,
    because kdm will do it for us.

 -- Cajus Pollmeier <cajus@debian.org>  Fri, 23 Apr 2004 18:06:16 +0200

acpid (1.0.3-14) unstable; urgency=low

  * Fixed postrm script to clean some lost config files. (Closes: #242273)

 -- Cajus Pollmeier <cajus@debian.org>  Thu,  8 Apr 2004 11:04:05 +0200

acpid (1.0.3-13) unstable; urgency=low

  * Removed support for configuring list of modules with debconf. I can't
    spend hours in fullfilling all wishes currently. Don't think anyone really
    needs this feature - and if: This is more an issue for a tool that detects
    hardware than one for the daemon itself. Implicitly closes: #241367.
  * Updated init script to skip loading of modules that are not present in
    system, but are configured in defaults file.

 -- Cajus Pollmeier <cajus@debian.org>  Thu,  1 Apr 2004 06:56:27 +0200

acpid (1.0.3-12) unstable; urgency=low

  * Fixed possible problem in config script when installing for the
    first time (Closes:#241012)

 -- Cajus Pollmeier <cajus@debian.org>  Tue, 30 Mar 2004 13:06:01 +0200

acpid (1.0.3-11) unstable; urgency=low

  * Included danish translations (Closes:#240044)

 -- Cajus Pollmeier <cajus@debian.org>  Thu, 25 Mar 2004 19:52:46 +0100

acpid (1.0.3-10) unstable; urgency=low

  * Avoided overwriting of manual changes in defaults file (Closes:#239635)
  * Replaced init call by normal shutdown with more informative
    message (Closes:#239583)
  * Included upstream changelog (Closes:#235530)

 -- Cajus Pollmeier <cajus@debian.org>  Tue, 23 Mar 2004 21:33:31 +0100

acpid (1.0.3-9) unstable; urgency=low

  * Made acpid close all used filehandles (Closes:#239350)

 -- Cajus Pollmeier <cajus@debian.org>  Mon, 22 Mar 2004 14:56:57 +0100

acpid (1.0.3-8) unstable; urgency=low

  * Fixed clean target of debian/rules to call dh_clean (Closes:#239239)

 -- Cajus Pollmeier <cajus@debian.org>  Mon, 22 Mar 2004 11:14:36 +0100

acpid (1.0.3-7) unstable; urgency=low

  * Added dutch po-debconf translation (Closes:#237816)
  * Added greek po-debconf translation (Closes:#237847)

 -- Cajus Pollmeier <cajus@debian.org>  Sun, 21 Mar 2004 11:40:48 +0100

acpid (1.0.3-6) unstable; urgency=low

  * Modified start script to have the 2.6 module loading
    style (Closes:#236703)

 -- Cajus Pollmeier <cajus@debian.org>  Fri, 12 Mar 2004 16:34:42 +0100

acpid (1.0.3-5) unstable; urgency=low

  * Changed description to a coffee cooking variant (Closes:#237199)

 -- Cajus Pollmeier <cajus@debian.org>  Wed, 10 Mar 2004 20:51:52 +0100

acpid (1.0.3-4) unstable; urgency=low

  * Fixed typo in template, that made it in again. (Closes:#236005)
  * Included French translations, thanks to Clement Stenac. (Closes:#236375)

 -- Cajus Pollmeier <cajus@debian.org>  Thu,  4 Mar 2004 07:55:24 +0100

acpid (1.0.3-3) unstable; urgency=low

  * Included Japanese translations, thanks to Hideki Yamane. (Closes:#235320)
  * Included Brazilian Portuguese translations, thanks to
    Andre Luis Lopes (Closes:#235462)
  * Workaround for non working postinst configure installed. (Closes:#234270)

 -- Cajus Pollmeier <cajus@debian.org>  Sun, 29 Feb 2004 11:26:06 +0100

acpid (1.0.3-2) unstable; urgency=low

  * Added a sleep between stop and start in the init-scripts restart
    condition. This should fix the logrotate problem. (Closes:#234283)

 -- Cajus Pollmeier <cajus@debian.org>  Wed, 25 Feb 2004 13:15:53 +0100

acpid (1.0.3-1) unstable; urgency=high

  * New upstream release 

 -- Cajus Pollmeier <cajus@debian.org>  Wed, 25 Feb 2004 10:08:34 +0100

acpid (1.0.2-12) unstable; urgency=low

  * Added missing true condition in postinstall script (Closes: #234274)

 -- Cajus Pollmeier <cajus@debian.org>  Mon, 23 Feb 2004 10:08:19 +0100

acpid (1.0.2-11) unstable; urgency=high

  * Switched to invoke-rc.d in prerm script. (Closes: #234161)
  * Removed a - for some users - confusing message from debconf
    templates. (Closes: #234179)

 -- Cajus Pollmeier <cajus@debian.org>  Sun, 22 Feb 2004 10:29:11 +0100

acpid (1.0.2-10) unstable; urgency=low

  * Fix typo in events file - powerbtn/powerbtn.sh (Closes:#233248)
  * Doing workaround in rules to remove setgid bits. Can't upload new
    orig.tar.gz. (Closes: #233628)


=== debian/control ===
Source: acpid
Section: admin
Priority: optional
Maintainer: Cajus Pollmeier <cajus@debian.org>
Standards-Version: 3.6.1.0
Build-Depends: debhelper (>= 4.1.16)

Package: acpid
Architecture: i386 ia64 amd64
Depends: debconf (>=0.5.00)
Description: Utilities for using ACPI power management
 Modern computers support the Advanced Configuration and Power Interface (ACPI)
 to allow intelligent power management on your system and to query battery and
 configuration status.
 .
 ACPID is a completely flexible, totally extensible daemon for delivering
 ACPI events. It listens on a file (/proc/acpi/event) and when an event
 occurs, executes programs to handle the event. The programs it executes
 are configured through a set of configuration files, which can be
 dropped into place by packages or by the admin.
 .
 In order to use this package you need a recent Kernel (=>2.4.7). This can be
 one including the patches on http://acpid.sourceforge.net or a non patched one.

=== debian/rules ===
#! /usr/bin/make -f

build: config.status
	chmod g-s -R *
	$(MAKE)
	$(MAKE) man

config.status:

clean:
	dh_clean
	-$(MAKE) clean
	rm -f debian/files debian/substvars
	rm -rf debian/tmp

binary: binary-arch binary-indep

binary-indep:

binary-arch: build
	rm -rf debian/tmp
	install -d -o root -g root -m 755 debian/tmp/usr/sbin
	install -d -o root -g root -m 755 debian/tmp/usr/bin
	install -d -o root -g root -m 755 debian/tmp/usr/share/man/man8
	install -d -o root -g root -m 755 debian/tmp/etc/init.d
	install -d -o root -g root -m 755 debian/tmp/etc/logrotate.d
	install -d -o root -g root -m 755 debian/tmp/etc/default
	install -d -o root -g root -m 755 debian/tmp/etc/acpi/events
	install -d -o root -g root -m 755 debian/tmp/usr/share/doc/acpid

	install -p -o root -g root -m 755 acpid debian/tmp/usr/sbin/
	install -p -o root -g root -m 755 acpi_listen debian/tmp/usr/bin/
	strip --remove-section=.note --remove-section=.comment --strip-unneeded debian/tmp/usr/sbin/* debian/tmp/usr/bin/*

	install -p -o root -g root -m 644 debian/acpid.logrotate \
		debian/tmp/etc/logrotate.d/acpid

	install -p -o root -g root -m 644 README \
		debian/tmp/usr/share/doc/acpid

	install -p -o root -g root -m 755 debian/init \
		debian/tmp/etc/init.d/acpid

	install -p -o root -g root -m 644 debian/acpid.defaults \
		debian/tmp/etc/default/acpid
	
	install -p -o root -g root -m 644 debian/powerbtn \
		debian/tmp/etc/acpi/events/powerbtn
	
	install -p -o root -g root -m 755 debian/powerbtn.sh \
		debian/tmp/etc/acpi/powerbtn.sh

	install -p -o root -g root -m 644 acpid.8.gz \
		debian/tmp/usr/share/man/man8

	install -p -o root -g root -m 644 acpi_listen.8.gz \
		debian/tmp/usr/share/man/man8


	install -p -o root -g root -m 644 Changelog \
		debian/tmp/usr/share/doc/acpid/changelog
	install -p -o root -g root -m 644 debian/changelog \
		debian/tmp/usr/share/doc/acpid/changelog.Debian
	gzip -9f debian/tmp/usr/share/doc/acpid/*

	install -p -o root -g root -m 644 debian/copyright \
		debian/tmp/usr/share/doc/acpid/

	install -d -o root -g root -m 755 debian/tmp/usr/share/doc/acpid/examples
	install -p -o root -g root -m 644 examples/default \
		debian/tmp/usr/share/doc/acpid/examples/

	install -p -o root -g root -m 644 examples/default.sh \
		debian/tmp/usr/share/doc/acpid/examples/
	
	install -p -o root -g root -m 644 examples/ac \
		debian/tmp/usr/share/doc/acpid/examples/

	install -p -o root -g root -m 644 examples/ac.sh \
		debian/tmp/usr/share/doc/acpid/examples/

	gzip -9f debian/tmp/usr/share/doc/acpid/examples/*
	
	dh_installdebconf
	dh_installdeb

	dpkg-gencontrol -isp
	dpkg-deb --build debian/tmp ..

## acpid 1.0.4-1ubuntu4

=== debian/changelog ===
acpid (1.0.4-1ubuntu4) hoary; urgency=low

  * Turn off kernel printks if we're not verbose during module loading 

 -- Thom May <thom@ubuntu.com>  Wed,  2 Mar 2005 17:45:36 +0000

acpid (1.0.4-1ubuntu3) hoary; urgency=low

  * Check for the presence of a lockfile, and don't process events if it's
    there (Ubuntu: #6026)

 -- Thom May <thom@ubuntu.com>  Tue,  1 Feb 2005 12:27:44 +0000

acpid (1.0.4-1ubuntu2) hoary; urgency=low

  * Use the new -Q argument to modprobe, add depend on the correct
    module-init-tools
  * Default back to trying to autoload everything (Ubuntu #4077)

 -- Thom May <thom@planetarytramp.net>  Fri, 14 Jan 2005 13:48:24 +0000

acpid (1.0.4-1ubuntu1) hoary; urgency=low

  * Resynchronise with Debian, resolved minor merging conflict.

 -- Martin Pitt <martin.pitt@canonical.com>  Thu, 11 Nov 2004 10:38:26 +0100

acpid (1.0.3-21ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@canonical.com>  Wed, 27 Oct 2004 12:05:00 +0100

acpid (1.0.3-19ubuntu12) warty; urgency=low

  * Disable loading the platform specific acpi modules. (Warty #1451)

 -- Thom May <thom@canonical.com>  Wed,  6 Oct 2004 14:18:58 +0100

acpid (1.0.3-19ubuntu11) warty; urgency=low

  * use xargs -r so we don't fail in the case of no acpi modules (Warty #1466)

 -- Thom May <thom@planetarytramp.net>  Mon, 20 Sep 2004 12:36:52 +0100

acpid (1.0.3-19ubuntu10) warty; urgency=low

  * Added versioned depend on lsb-base

 -- Nathaniel McCallum <npmccallum@canonical.com>  Fri,  3 Sep 2004 14:45:49 -0400

acpid (1.0.3-19ubuntu9) warty; urgency=low

  * log_warning_msg for failed modules, don't bomb out tho. (Warty 983, 991)

 -- Thom May <thom@planetarytramp.net>  Fri,  3 Sep 2004 17:08:34 +0100

acpid (1.0.3-19ubuntu8) warty; urgency=low

  * If a module is already loaded, log_success_msg rather than log_warning_msg

 -- Matt Zimmerman <mdz@alcor.net>  Thu,  2 Sep 2004 16:06:16 -0700

acpid (1.0.3-19ubuntu7) warty; urgency=low

  * debian/init: pretty initscript

 -- Nathaniel McCallum <npmccallum@canonical.com>  Thu,  2 Sep 2004 15:06:13 -0400

acpid (1.0.3-19ubuntu6) warty; urgency=low

  * install initrd script 

 -- Thom May <thom@planetarytramp.net>  Fri, 27 Aug 2004 17:14:00 +0100

acpid (1.0.3-19ubuntu5) warty; urgency=low

  * Revert -4, since that causes the acpid socket to be reaped

 -- Thom May <thom@planetarytramp.net>  Tue, 24 Aug 2004 10:34:05 +0100

acpid (1.0.3-19ubuntu4) warty; urgency=low

  * Ensure acpid starts as early as possible, so we don't melt Scott's laptop

 -- Thom May <thom@planetarytramp.net>  Thu, 19 Aug 2004 14:04:55 +0100

acpid (1.0.3-19ubuntu3) warty; urgency=low

  * Load all modules

 -- Thom May <thom@planetarytramp.net>  Wed, 18 Aug 2004 14:11:45 +0100

acpid (1.0.3-19ubuntu2) warty; urgency=low

  * Get rid of FTBFS errors.

 -- LaMont Jones <lamont@mmjgroup.com>  Sat, 31 Jul 2004 04:49:10 +0000

acpid (1.0.3-19ubuntu1) warty; urgency=low

  * Disable superfluous debconf note when acpi support is not present
    (Warty Bug#289)

 -- Matt Zimmerman <mdz@alcor.net>  Tue, 27 Jul 2004 13:26:05 -0700

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: acpid
 Architecture: i386 ia64 amd64
-Depends: debconf (>=0.5.00)
+Depends: debconf (>=0.5.00), lsb-base (>= 1.3-9ubuntu3), module-init-tools (>=3.1-rel-2ubuntu2)
 Description: Utilities for using ACPI power management
  Modern computers support the Advanced Configuration and Power Interface (ACPI)
  to allow intelligent power management on your system and to query battery and

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
 	install -d -o root -g root -m 755 debian/tmp/etc/logrotate.d
 	install -d -o root -g root -m 755 debian/tmp/etc/default
 	install -d -o root -g root -m 755 debian/tmp/etc/acpi/events
+	install -d -o root -g root -m 755 debian/tmp/etc/mkinitrd/scripts
 	install -d -o root -g root -m 755 debian/tmp/usr/share/doc/acpid
 
 	install -p -o root -g root -m 755 acpid debian/tmp/usr/sbin/
@@ -56,6 +57,8 @@
 	install -p -o root -g root -m 644 acpi_listen.8.gz \
 		debian/tmp/usr/share/man/man8
 
+	install -p -o root -g root -m 755 debian/initrd-script \
+		debian/tmp/etc/mkinitrd/scripts/acpid
 
 	install -p -o root -g root -m 644 Changelog \
 		debian/tmp/usr/share/doc/acpid/changelog

## acpid 1.0.4-1ubuntu8

=== debian/changelog ===
acpid (1.0.4-1ubuntu8) breezy; urgency=low

  * Shorten and simplify init script messages

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 15 Sep 2005 11:30:54 -0700

acpid (1.0.4-1ubuntu7) breezy; urgency=low

  * If power-manager is running, don't trigger the power button event
    ourselves

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue, 30 Aug 2005 18:33:22 +0100

acpid (1.0.4-1ubuntu6) breezy; urgency=low

  * Start acpid before dbus is started - hal needs acpid to be running
    already

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue, 30 Aug 2005 17:10:48 +0100

acpid (1.0.4-1ubuntu5) breezy; urgency=low

  * Interact with the new locking model in acpi-support
  * Fix gcc-4.0 compile error

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 22 Aug 2005 22:12:52 +0100

## acpid 1.0.4-1ubuntu11

=== debian/changelog ===
acpid (1.0.4-1ubuntu11) dapper; urgency=low

  * Fix /etc/acpi/powerbtn.sh so that it doesn't bork if 'pidof' returns
    multiple results.  This stops the machine displaying the logout
    dialogue and then immediately shutting down anyway. 
    (Closes: Ubuntu #46319)

 -- Paul Sladen <ubuntu@paul.sladen.org>  Sat, 27 May 2006 15:54:53 +0100

acpid (1.0.4-1ubuntu10) dapper; urgency=low

  * Add support to set the group of the log file when acpid starts.
    By default this will set it to the adm group.

 -- Daniel Silverstone <daniel.silverstone@ubuntu.com>  Wed, 15 Feb 2006 14:04:49 +0000

acpid (1.0.4-1ubuntu9) dapper; urgency=low

  * Check for gnome-power-manager rather than PowerManager. The name changed
    between dapper and breezy and without this, we would unconditionally shut
    the system down on a powerbutton event.
  * Also check for kded/klaptopdaemon and kpowersave for KDE options on the
    same policy management.
  * Closes: malone #31407

 -- Daniel Silverstone <daniel.silverstone@ubuntu.com>  Wed, 15 Feb 2006 11:41:20 +0000

## acpid 1.0.4-1ubuntu11.2

=== debian/changelog ===
acpid (1.0.4-1ubuntu11.2) dapper-security; urgency=low

  * SECURITY UPDATE: denial of service via too many open files
    - acpid.*, event.c, ud_socket.*: limit the number of non-root clients,
      correctly close dead connections.
    - CVE-2009-0798

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 22 Apr 2009 15:14:16 -0400

## acpid 1.0.10

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile for ACPI daemon
 
 # update these numbers for new releases
-VERSION = 1.0.6
+VERSION = 1.0.10
 
 INSTPREFIX =
 BINDIR = $(INSTPREFIX)/usr/bin
@@ -18,10 +18,12 @@
 acpi_listen_SRCS = acpi_listen.c ud_socket.c
 acpi_listen_OBJS = $(acpi_listen_SRCS:.c=.o)
 
+all_SRCS = $(acpid_SRCS) $(acpi_listen_SRCS)
+
 MAN8 = acpid.8 acpi_listen.8
 MAN8GZ = $(MAN8:.8=.8.gz)
 
-CFLAGS = -Wall -Werror -g $(DEFS)
+CFLAGS = -W -Wall -Werror -Wundef -Wshadow -D_GNU_SOURCE -O2 -g $(DEFS)
 DEFS = -DVERSION="\"$(VERSION)\""
 
 all: $(PROGS)
@@ -52,5 +54,32 @@
 	rm -rf $(DISTTMP)/acpid-$(VERSION)
 
 clean:
-	$(RM) $(PROGS) $(MAN8GZ) *.o
+	$(RM) $(PROGS) $(MAN8GZ) *.o .depend
 
+dep depend:
+	@$(RM) .depend
+	@$(MAKE) .depend
+
+.depend: $(all_SRCS)
+	@for f in $^; do \
+		OBJ=$$(echo $$f | sed 's/\.cp*$$/.o/'); \
+		$(CPP) $(PP_INCLUDES) -MM $$f -MT $$OBJ; \
+	done > $@
+
+# NOTE: 'sinclude' is "silent-include".  This suppresses a warning if
+# .depend does not exist.  Since Makefile includes this file, and this
+# file includes .depend, .depend is itself "a makefile" and Makefile is
+# dependent on it.  Any makefile for which there is a rule (as above for
+# .depend) will be evaluated before anything else.  If the rule executes
+# and the makefile is updated, make will reload the original Makefile and
+# start over.
+#
+# This means that the .depend rule will always be checked first.  If
+# .depend gets rebuilt, then the dependencies we have already sincluded
+# must have been stale.  Make starts over, the old dependencies are
+# tossed, and the new dependencies are sincluded.
+#
+# So why use 'sinclude' instead of 'include'?  We want to ALWAYS make
+# Makefile depend on .depend, even if .depend doesn't exist yet.  But we
+# don't want that pesky warning.
+sinclude .depend

## acpid 2.0.7

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,24 @@
 # Makefile for ACPI daemon
 
 # update these numbers for new releases
-VERSION = 1.0.10
+VERSION = 2.0.7
 
-INSTPREFIX =
-BINDIR = $(INSTPREFIX)/usr/bin
-SBINDIR = $(INSTPREFIX)/usr/sbin
-MAN8DIR = $(INSTPREFIX)/usr/share/man/man8
+OPT = -O2
+
+DESTDIR =
+PREFIX = /usr
+
+BINDIR = $(PREFIX)/bin
+SBINDIR = $(PREFIX)/sbin
+MANDIR = $(PREFIX)/share/man
+DOCDIR = $(PREFIX)/share/doc/acpid
 
 SBIN_PROGS = acpid
 BIN_PROGS = acpi_listen
 PROGS = $(SBIN_PROGS) $(BIN_PROGS)
 
-acpid_SRCS = acpid.c event.c ud_socket.c
+acpid_SRCS = acpid.c acpi_ids.c connection_list.c event.c input_layer.c \
+    inotify_handler.c libnetlink.c netlink.c proc.c sock.c ud_socket.c
 acpid_OBJS = $(acpid_SRCS:.c=.o)
 
 acpi_listen_SRCS = acpi_listen.c ud_socket.c
@@ -23,7 +29,10 @@
 MAN8 = acpid.8 acpi_listen.8
 MAN8GZ = $(MAN8:.8=.8.gz)
 
-CFLAGS = -W -Wall -Werror -Wundef -Wshadow -D_GNU_SOURCE -O2 -g $(DEFS)
+DOCS = COPYING Changelog README TESTPLAN TODO 
+
+CFLAGS = -W -Wall -Werror -Wundef -Wshadow -D_GNU_SOURCE $(OPT) \
+	-fno-strict-aliasing -g $(DEFS)
 DEFS = -DVERSION="\"$(VERSION)\""
 
 all: $(PROGS)
@@ -35,23 +44,37 @@
 man: $(MAN8)
 	for a in $^; do gzip -f -9 -c $$a > $$a.gz; done
 
-install: $(PROGS) man
-	mkdir -p $(SBINDIR)
-	mkdir -p $(BINDIR)
-	install -m 750 acpid $(SBINDIR)
-	install -m 755 acpi_listen $(BINDIR)
-	mkdir -p $(MAN8DIR)
-	install -m 644 $(MAN8GZ) $(MAN8DIR)
+install_docs:
+	mkdir -p $(DESTDIR)/$(DOCDIR)
+	for a in $(DOCS); do install -m 0644 $$a $(DESTDIR)/$(DOCDIR) ; done
+	cp -a samples $(DESTDIR)/$(DOCDIR)
+
+install: $(PROGS) man install_docs
+	mkdir -p $(DESTDIR)/$(SBINDIR)
+	mkdir -p $(DESTDIR)/$(BINDIR)
+	install -m 0750 acpid $(DESTDIR)/$(SBINDIR)
+	install -m 0755 acpi_listen $(DESTDIR)/$(BINDIR)
+	mkdir -p $(DESTDIR)/$(MANDIR)/man8
+	install -m 0644 $(MAN8GZ) $(DESTDIR)/$(MANDIR)/man8
+# You might want to run mandb(8) after install in case your system uses it.
 
 DISTTMP=/tmp
+DISTNAME=acpid-$(VERSION)
+FULLTMP = $(DISTTMP)/$(DISTNAME)
 dist:
-	rm -rf $(DISTTMP)/acpid-$(VERSION)
-	mkdir -p $(DISTTMP)/acpid-$(VERSION)
-	cp -a * $(DISTTMP)/acpid-$(VERSION)
-	find $(DISTTMP)/acpid-$(VERSION) -type d -name CVS | xargs rm -rf
-	make -C $(DISTTMP)/acpid-$(VERSION) clean
-	tar -C $(DISTTMP) -zcvf acpid-$(VERSION).tar.gz acpid-$(VERSION)
-	rm -rf $(DISTTMP)/acpid-$(VERSION)
+	rm -rf $(FULLTMP)
+	mkdir -p $(FULLTMP)
+	cp -a * $(FULLTMP)
+	find $(FULLTMP) -type d -name CVS | xargs rm -rf
+	make -C $(FULLTMP) clean
+	make -C $(FULLTMP)/kacpimon clean
+	rm -f $(FULLTMP)/cscope.out
+	rm -f $(FULLTMP)/*anjuta*
+	find $(FULLTMP) -name '*~' | xargs rm -f
+	# Get rid of previous dist
+	rm -f $(FULLTMP)/$(DISTNAME).tar.gz
+	tar -C $(DISTTMP) -zcvf $(DISTNAME).tar.gz $(DISTNAME)
+	rm -rf $(FULLTMP)
 
 clean:
 	$(RM) $(PROGS) $(MAN8GZ) *.o .depend

## acpid 2.0.10

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile for ACPI daemon
 
 # update these numbers for new releases
-VERSION = 2.0.7
+VERSION = 2.0.10
 
 OPT = -O2

## acpid 2.0.11

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile for ACPI daemon
 
 # update these numbers for new releases
-VERSION = 2.0.10
+VERSION = 2.0.11
 
 OPT = -O2

## acpid 2.0.12

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile for ACPI daemon
 
 # update these numbers for new releases
-VERSION = 2.0.11
+VERSION = 2.0.12
 
 OPT = -O2

## acpid 2.0.13

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile for ACPI daemon
 
 # update these numbers for new releases
-VERSION = 2.0.12
+VERSION = 2.0.13
 
 OPT = -O2
 
@@ -18,10 +18,10 @@
 PROGS = $(SBIN_PROGS) $(BIN_PROGS)
 
 acpid_SRCS = acpid.c acpi_ids.c connection_list.c event.c input_layer.c \
-    inotify_handler.c libnetlink.c netlink.c proc.c sock.c ud_socket.c
+    inotify_handler.c libnetlink.c log.c netlink.c proc.c sock.c ud_socket.c
 acpid_OBJS = $(acpid_SRCS:.c=.o)
 
-acpi_listen_SRCS = acpi_listen.c ud_socket.c
+acpi_listen_SRCS = acpi_listen.c log.c ud_socket.c
 acpi_listen_OBJS = $(acpi_listen_SRCS:.c=.o)
 
 all_SRCS = $(acpid_SRCS) $(acpi_listen_SRCS)

## acpid 2.0.17

=== debian/changelog ===
acpid (1:2.0.17-1+zlt1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/source/format: 3.0 (quilt)
  * debian/patches:
    + add 0001-acpid-prioritise-important-file-descriptors-by-reord.patch

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Mon, 19 Sep 2012 02:45:33 +0400

acpid (1:2.0.17-1) unstable; urgency=low

  * Imported Upstream version 2.0.17

 -- Michael Meskes <meskes@debian.org>  Mon, 17 Sep 2012 14:20:55 +0200

acpid (1:2.0.16-2) unstable; urgency=low

  * Depend on kmod instead of the transitional package module-init-tools.
    (Closes: #683987)

 -- Michael Meskes <meskes@debian.org>  Wed, 08 Aug 2012 11:55:33 +0200

acpid (1:2.0.16-1) unstable; urgency=low

  * Imported Upstream version 2.0.16

 -- Michael Meskes <meskes@debian.org>  Sun, 01 Apr 2012 12:38:32 +0200

acpid (1:2.0.15-2) unstable; urgency=low

  * Applied upstream's patch to fix socket permissions. (Closes: #664705)

 -- Michael Meskes <meskes@debian.org>  Wed, 21 Mar 2012 09:37:16 +0100

acpid (1:2.0.15-1) unstable; urgency=low

  * Imported Upstream version 2.0.15
  * Migrated to debhleper 7.

 -- Michael Meskes <meskes@debian.org>  Sun, 18 Mar 2012 14:44:34 +0100

acpid (1:2.0.14-3) unstable; urgency=low

  * Added upstream patch to remove pointless "See Also" section from manpage.
    (Closes: #656676)
  * Bumped Standards-Version to 3.9.3, no changes needed.
  * Enable socket for systemd. (Closes: #661344)

 -- Michael Meskes <meskes@debian.org>  Wed, 29 Feb 2012 13:24:37 +0100

acpid (1:2.0.14-2) unstable; urgency=low

  * Made init script start before/stop after gdm3 instead of gdm which does not
    exist anymore. (Closes: #655075)
  * Enable hardened build flags.
    Thanks to Moritz Muehlenhoff <jmm@debian.org> (Closes: #653502)

 -- Michael Meskes <meskes@debian.org>  Tue, 10 Jan 2012 17:27:11 +0100

acpid (1:2.0.14-1) unstable; urgency=low

  * Fix shell command injection in powerbtn.sh
  * Imported Upstream version 2.0.14

 -- Michael Meskes <meskes@debian.org>  Sun, 18 Dec 2011 14:41:11 +0100

acpid (1:2.0.13-1) unstable; urgency=low

  * Imported Upstream version 2.0.13
  * Added systemd .service and .socket files.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #647556)

 -- Michael Meskes <meskes@debian.org>  Thu, 17 Nov 2011 11:54:46 +0100

acpid (1:2.0.12-1) unstable; urgency=low

  * Imported Upstream version 2.0.12

 -- Michael Meskes <meskes@debian.org>  Tue, 23 Aug 2011 12:57:56 +0200

acpid (1:2.0.11-1) unstable; urgency=high

  * Imported Upstream version 2.0.11 which sets umask to 0077 for scripts run
    by acpid.
  * Added build-arch and build-indep targets to rules file.

 -- Michael Meskes <meskes@debian.org>  Mon, 01 Aug 2011 20:37:55 +0200

acpid (1:2.0.10-1) unstable; urgency=low

  * Imported Upstream version 2.0.10
  * Bumped Standards-Version to 3.9.2, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Thu, 19 May 2011 15:51:12 +0200

acpid (1:2.0.9-1) unstable; urgency=low

  * Imported Upstream version 2.0.9

 -- Michael Meskes <meskes@debian.org>  Sun, 17 Apr 2011 16:33:17 +0200

acpid (1:2.0.8-4) unstable; urgency=low

  * Updated homepage filed to point to new URL. (Closes: #618537)
  * Removed all code handling /etc/init.d/hal which does not exist anymore in
    newer versions. (Closes: #618905)

 -- Michael Meskes <meskes@debian.org>  Fri, 25 Mar 2011 15:28:00 +0100

acpid (1:2.0.8-3) unstable; urgency=low

  * Allow build flags to be customized by setting DEB_BUILD_OPTIONS in the
    build-time environment. Thanks to Jonathan Nieder <jrnieder@gmail.com>
  * Remove variable that is not used in kacpimon.
    Thanks to Jonathan Nieder <jrnieder@gmail.com> (Closes: #616306)

 -- Michael Meskes <meskes@debian.org>  Fri, 11 Mar 2011 12:16:31 +0100

acpid (1:2.0.8-2) unstable; urgency=low

  * Make both sides of the comparison signed so the package builds again.
    (Closes: #616194)

 -- Michael Meskes <meskes@debian.org>  Thu, 03 Mar 2011 12:14:12 +0100

acpid (1:2.0.8-1) unstable; urgency=low

  * Imported Upstream version 2.0.8

 -- Michael Meskes <meskes@debian.org>  Wed, 16 Feb 2011 09:25:51 +0100

acpid (1:2.0.7-1) unstable; urgency=low

  * Imported Upstream version 2.0.7

 -- Michael Meskes <meskes@debian.org>  Tue, 16 Nov 2010 08:47:57 +0100

acpid (1:2.0.6-2) unstable; urgency=low

  * Added prepatch from 2.0.7 to remove superfluous logging. (Closes:
    #598198)
  * Added prepatch from 2.0.7 to add support for more buttons. (Closes:
    #600564) - thanks to Stanislav Maslovski
    <stanislav.maslovski@gmail.com>
  * Bumped Standards-Version to 3.9.1, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Sun, 14 Nov 2010 15:14:38 +0100

acpid (1:2.0.6-1) unstable; urgency=low

  * Imported Upstream version 2.0.6

 -- Michael Meskes <meskes@debian.org>  Fri, 18 Jun 2010 11:07:01 +0200

acpid (1:2.0.5-1) unstable; urgency=low

  * Imported Upstream version 2.0.5

 -- Michael Meskes <meskes@debian.org>  Sun, 16 May 2010 11:24:54 +0200

acpid (1:2.0.4-1) unstable; urgency=low

  * New Upstream version 2.0.4
  * Added source format file.

 -- Michael Meskes <meskes@debian.org>  Thu, 22 Apr 2010 09:44:05 +0200

acpid (1:2.0.3-1) unstable; urgency=low

  * New Upstream version 2.0.3

 -- Michael Meskes <meskes@debian.org>  Wed, 17 Mar 2010 10:05:04 +0100

acpid (1:2.0.2-1) unstable; urgency=low

  * New upstream version.
  * Bumped Standards-Version to 3.8.4, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Mon, 15 Feb 2010 16:25:13 +0100

acpid (1:2.0.1-2) unstable; urgency=low

  * Acpid does work on non-i386/amd64 archs but not on non-linux
    systems.
  * Prevent breakage of Xserver resulting from a may connection number
    that was set too low. (Closes: #565908) - thanks to Willi Mann
    <willi@wm1.at>
  * Extended kacpimon description to explain the package a little bit
    better.
  * Escape unescaped dashes in manpage.

 -- Michael Meskes <meskes@debian.org>  Sun, 24 Jan 2010 14:30:56 +0100



=== debian/control ===
Source: acpid
Section: admin
Priority: optional
Maintainer: Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Loic Minier <lool@dooz.org>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.15.7)
Vcs-Git: git://git.debian.org/git/pkg-acpi/acpid.git
Vcs-Browser: http://git.debian.org/?p=pkg-acpi/acpid.git
Homepage: http://www.tedfelix.com/linux/acpid-netlink.html

Package: acpid
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         lsb-base (>= 3.2-14),
         kmod
Recommends: acpi-support-base (>= 0.114-1)
Description: Advanced Configuration and Power Interface event daemon
 Modern computers support the Advanced Configuration and Power Interface (ACPI)
 to allow intelligent power management on your system and to query battery and
 configuration status.
 .
 ACPID is a completely flexible, totally extensible daemon for delivering
 ACPI events. It listens on netlink interface (or on the deprecated file
 /proc/acpi/event), and when an event occurs, executes programs to handle the
 event. The programs it executes are configured through a set of configuration
 files, which can be dropped into place by packages or by the admin.

Package: kacpimon
Section: utils
Priority: extra
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Kernel ACPI Event Monitor
 Modern computers support the Advanced Configuration and Power Interface (ACPI)
 to allow intelligent power management on your system and to query battery and
 configuration status.
 .
 kacpimon is a small tool that monitors kernel ACPI and keyboard events from
 multiple interfaces and reports them to the console.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS := -W -Wall -Werror -Wundef -Wshadow -D_GNU_SOURCE \
	$(shell dpkg-buildflags --get CFLAGS) \
	$(shell dpkg-buildflags --get CPPFLAGS) \
	-fno-strict-aliasing

LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh ${@}

override_dh_auto_configure:
	dh_testdir

	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure

override_dh_installinit:
	dh_installinit -s -- start 12 2 3 4 5 .

=== debian/watch ===
version=3
http://www.tedfelix.com/linux/acpid-netlink.html acpid-(.*)\.tar\..z

## acpid 2.0.26

=== debian/changelog ===
acpid (1:2.0.26-1ubuntu2) xenial; urgency=medium

  * Do not start when inside a container (LP: #1568155)

 -- Simon Deziel <simon.deziel@gmail.com>  Fri, 08 Apr 2016 21:25:13 +0000

acpid (1:2.0.26-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Replace init script with Upstart job
      + This does not load modules, unlike the init script, since these are
        all loaded by ACPI:* modaliases now (and thus by udev)
    - debian/acpid.install, debian/acpid.preinst, debian/rules:
      continue installing /etc/acpi/events/powerbtn and /etc/acpi/powerbtn.sh,
      deferring the migration to acpi-support-base; and drop the Recommends:
      on acpi-support-base for the same reason.
    - Source /usr/share/acpi-support/power-funcs in powerbtn.sh
    - debian/powerbtn.sh: ensure that /usr/share/acpi-support/power-funcs
      exists before sourcing it; note that acpid does not depend on
      acpi-support (which is fine, as it brings in lots of X dependencies
      not appropriate for servers); this fix will allow Ubuntu servers
      (especially those in VMs) to run acpid and catch and handle power
      button events again.
    - debian/powerbtn.sh: gnome-power-manager is no more, check for
      gnome-settings-daemon now. This fixes immediate shutdown when the power
      button is pressed.
    - Change pointless shutdown message "exiting" from NOTICE to DEBUG
      level, such that it's not emitted by default.
    - debian/powerbtn.sh: add support for mate-settings-daemon, 
      unity-settings-daemon
    - ./debian/powerbtn.sh: Don't do anything if logind is running, as
      that already handles power button presses. This fixes unconditional
      shutdowns if a desktop environment wants to handle the power key by
      itself (and inhibits logind). (LP: #1201180)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 09 Feb 2016 22:43:25 +0000

acpid (1:2.0.26-1) unstable; urgency=medium

  * Imported Upstream version 2.0.26 (Closes: #808015)
  * Updated watch file
  * Fixwed typo in powerbtn.sh (Closes: #805865)

 -- Michael Meskes <meskes@debian.org>  Tue, 09 Feb 2016 17:34:08 +0100

acpid (1:2.0.25-1) unstable; urgency=medium

  * Imported Upstream version 2.0.25

 -- Michael Meskes <meskes@debian.org>  Tue, 01 Sep 2015 13:47:25 +0200

acpid (1:2.0.23-2) unstable; urgency=medium

  * Corrected homepage URL (Closes: #767816)
  * Added path based activation so acpid gets started if events are to be
    processed. (Closes: #766991)
  * Bumped Standards-Version to 3.9.6, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Sat, 08 Nov 2014 17:36:34 +0100

acpid (1:2.0.23-1ubuntu2) xenial; urgency=medium

  * Fix FTBFS due to signed/unsigned comparison.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 03 Dec 2015 14:35:03 +0000

acpid (1:2.0.23-1ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Replace init script with Upstart job
      + This does not load modules, unlike the init script, since these are
        all loaded by ACPI:* modaliases now (and thus by udev)
    - debian/acpid.install, debian/acpid.preinst, debian/rules:
      continue installing /etc/acpi/events/powerbtn and /etc/acpi/powerbtn.sh,
      deferring the migration to acpi-support-base; and drop the Recommends:
      on acpi-support-base for the same reason.
    - Source /usr/share/acpi-support/power-funcs in powerbtn.sh
    - debian/powerbtn.sh: ensure that /usr/share/acpi-support/power-funcs
      exists before sourcing it; note that acpid does not depend on
      acpi-support (which is fine, as it brings in lots of X dependencies
      not appropriate for servers); this fix will allow Ubuntu servers
      (especially those in VMs) to run acpid and catch and handle power
      button events again.
    - debian/powerbtn.sh: gnome-power-manager is no more, check for
      gnome-settings-daemon now. This fixes immediate shutdown when the power
      button is pressed.
    - Change pointless shutdown message "exiting" from NOTICE to DEBUG
      level, such that it's not emitted by default.
    - debian/powerbtn.sh: add support for mate-settings-daemon, 
      unity-settings-daemon
    - ./debian/powerbtn.sh: Don't do anything if logind is running, as
      that already handles power button presses. This fixes unconditional
      shutdowns if a desktop environment wants to handle the power key by
      itself (and inhibits logind). (LP: #1201180)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 03 Nov 2014 15:18:22 +0100

acpid (1:2.0.23-1) unstable; urgency=medium

  * Adapted build system to use dh_systems_* helpers.
    Thanks to Laurent Bigonville <bigon@debian.org> (Closes: #759541)
  * Imported Upstream version 2.0.23

 -- Michael Meskes <meskes@debian.org>  Thu, 28 Aug 2014 18:53:50 +0200

acpid (1:2.0.22-3) unstable; urgency=medium

  * Stop socket before upgrade or removal to make sure acpid isn't activated again.

 -- Michael Meskes <meskes@debian.org>  Fri, 11 Jul 2014 11:05:53 +0200

acpid (1:2.0.22-2) unstable; urgency=medium

  * Made service file honor options from /etc/default/acpid.
    (Closes: #743611, #745589)

 -- Michael Meskes <meskes@debian.org>  Tue, 17 Jun 2014 13:28:24 +0200

acpid (1:2.0.22-1) unstable; urgency=medium

  * Imported Upstream version 2.0.22 (closes: #738611)

 -- Michael Meskes <meskes@debian.org>  Thu, 03 Apr 2014 10:48:59 +0200

acpid (1:2.0.21-1ubuntu3) utopic; urgency=high

  * No change rebuild against new dh_installinit, to call update-rc.d at
    postinst.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 28 May 2014 10:38:47 +0100

acpid (1:2.0.21-1ubuntu2) trusty; urgency=medium

  * ./debian/powerbtn.sh: Don't do anything if logind is running, as that
    already handles power button presses. This fixes unconditional shutdowns
    if a desktop environment wants to handle the power key by itself (and
    inhibits logind). (LP: #1201180)



=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: acpid
 Section: admin
 Priority: optional
-Maintainer: Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>,
            Loic Minier <lool@dooz.org>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.15.7)
-Vcs-Git: git://git.debian.org/git/pkg-acpi/acpid.git
-Vcs-Browser: http://git.debian.org/?p=pkg-acpi/acpid.git
-Homepage: http://www.tedfelix.com/linux/acpid-netlink.html
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7), dh-systemd (>= 1.5)
+Vcs-Git: git://anonscm.debian.org/pkg-acpi/acpid.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-acpi/acpid.git
+Homepage: http://sourceforge.net/projects/acpid2/
 
 Package: acpid
 Architecture: linux-any
@@ -16,7 +17,6 @@
          ${misc:Depends},
          lsb-base (>= 3.2-14),
          kmod
-Recommends: acpi-support-base (>= 0.114-1)
 Description: Advanced Configuration and Power Interface event daemon
  Modern computers support the Advanced Configuration and Power Interface (ACPI)
  to allow intelligent power management on your system and to query battery and

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_PREPEND = -W -Wall -Werror -Wundef -Wshadow -D_GNU_SOURCE
export DEB_CFLAGS_MAINT_APPEND = -fno-strict-aliasing

%:
	dh ${@} --with systemd

override_dh_installinit:
	dh_installinit -s


override_dh_fixperms:
	dh_fixperms
	chmod 755 debian/acpid/etc/acpi/powerbtn.sh

override_dh_systemd_enable:
	dh_systemd_enable --no-enable debian/acpid.service
	dh_systemd_enable debian/acpid.socket
	dh_systemd_enable debian/acpid.path

## acpid 2.0.28

=== debian/changelog ===
acpid (1:2.0.28-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/silent.patch: change pointless shutdown message "exiting"
      from NOTICE to DEBUG level, such that it's not emitted by default.
    - don't recommend acpi-support-base.
  * Dropped changes, included in Debian:
    - Do not start when inside a container
  * Dropped changes:
    - Replace init script with Upstart job: upstart is obsolete post-16.04
      and we are already using a systemd unit instead.
    - Source /usr/share/acpi-support/power-funcs in powerbtn.sh: this file
      is long gone (pre-13.10) so no need for the delta.
    - Install /etc/acpi/events/powerbtn and /etc/acpi/powerbtn.sh: drop,
      since the script is a no-op when systemd-logind is running and
      systemd-logind is now *always* running, there's no reason to install
      these anymore or carry a delta to them.
    - debian/acpid.install, debian/acpid.preinst, debian/rules:
      continue installing /etc/acpi/events/powerbtn and /etc/acpi/powerbtn.sh,
      deferring the migration to acpi-support-base; and drop the Recommends:
      on acpi-support-base for the same reason.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Apr 2017 21:28:10 -0700

acpid (1:2.0.28-1) unstable; urgency=medium

  * Move to source format 3.0 to not have to repack upstream's source tarball.
  * Make sure acpid is not run in a container.
    Thanks to Simon Deziel <simon@sdeziel.info> (Closes: #820482)
  * New upstream version 2.0.28
  * Fix LSB init output for more consistency.
    Thanks to Guillem Jover <guillem@debian.org> (Closes: #823073)
  * Bumped Standards-Version to 3.9.8, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Tue, 20 Sep 2016 12:14:13 +0200

acpid (1:2.0.26-1ubuntu3) artful; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Apr 2017 20:45:17 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>,
            Loic Minier <lool@dooz.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7), dh-systemd (>= 1.5)
 Vcs-Git: git://anonscm.debian.org/pkg-acpi/acpid.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-acpi/acpid.git

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,6 @@
 override_dh_installinit:
 	dh_installinit -s
 
-
-override_dh_fixperms:
-	dh_fixperms
-	chmod 755 debian/acpid/etc/acpi/powerbtn.sh
-
 override_dh_systemd_enable:
 	dh_systemd_enable --no-enable debian/acpid.service
 	dh_systemd_enable debian/acpid.socket

=== debian/watch ===
version=3
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=sf/acpid2 \
.*=acpid(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## acpid 2.0.31

=== debian/changelog ===
acpid (1:2.0.31-2) unstable; urgency=medium

  * Orphan package

 -- Michael Meskes <meskes@debian.org>  Tue, 23 Jul 2019 10:42:02 +0200

acpid (1:2.0.31-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Add native runit script (Closes: #923871)

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 22 Jun 2019 20:46:50 +0000

acpid (1:2.0.31-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Michael Meskes ]
  * New upstream version 2.0.31 (Closes: #909399)
  * Bumped Standards-Version, no changes needed
  * Bumped debhelper compat to 11
  * Added hardening flags.

 -- Michael Meskes <meskes@debian.org>  Thu, 22 Nov 2018 15:03:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: acpid
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>
-Uploaders: Michael Meskes <meskes@debian.org>,
-           Loic Minier <lool@dooz.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7), dh-systemd (>= 1.5)
-Vcs-Git: git://anonscm.debian.org/pkg-acpi/acpid.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-acpi/acpid.git
+Maintainer: Debian QA Group <packages@qa.debian.org> 
+Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.15.7), dh-runit (>= 2.8.8)
+Vcs-Git: https://salsa.debian.org/debian/acpid.git
+Vcs-Browser: https://salsa.debian.org/debian/acpid
 Homepage: http://sourceforge.net/projects/acpid2/
 
 Package: acpid
 Architecture: linux-any
+Breaks: ${runit:Breaks}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          lsb-base (>= 3.2-14),
          kmod
+Recommends: acpi-support-base (>= 0.114-1)
 Description: Advanced Configuration and Power Interface event daemon
  Modern computers support the Advanced Configuration and Power Interface (ACPI)
  to allow intelligent power management on your system and to query battery and
@@ -30,7 +29,6 @@
 
 Package: kacpimon
 Section: utils
-Priority: extra
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Kernel ACPI Event Monitor

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DEB_CFLAGS_MAINT_PREPEND = -W -Wall -Werror -Wundef -Wshadow -D_GNU_SOURCE
export DEB_CFLAGS_MAINT_APPEND = -fno-strict-aliasing

%:
	dh ${@} --with runit

override_dh_installsystemd:
	dh_installsystemd --no-enable --name=acpid
